Arch CloseHoles/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconR=Arch_MergeWalls.svg
Line 16: Line 16:
==Beskrivning==
==Beskrivning==


This tool identifies holes (circular sequence of open edges) in a [[Part_Module|Shape]] object and attempts to close it by adding it a new face made from that edges sequence. You must still verify yourself that the result is a solid, though.
This tool identifies holes (circular sequence of open edges) in a [[Part_Workbench|Shape]] object and attempts to close it by adding it a new face made from that edges sequence. You must still verify yourself that the result is a solid, though.


==Usage==
==Usage==


# Select a [[Part Module|Shape]] object.
# Select a [[Part_Workbench|Shape]] object.
# Press the {{Button|[[Image:Arch CloseHoles.svg|16px]] [[Arch CloseHoles|Close Holes]]}} entry in {{MenuCommand|Arch → Utilities → Close Holes}}.
# Press the {{Button|[[Image:Arch CloseHoles.svg|16px]] [[Arch CloseHoles|Close Holes]]}} entry in {{MenuCommand|Arch → Utilities → Close Holes}}.


Line 59: Line 59:
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconR=Arch_MergeWalls.svg

Revision as of 09:38, 25 August 2021

Arch CloseHoles

Menyplacering
Arch → Utilities → Close Holes
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch Check

Beskrivning

This tool identifies holes (circular sequence of open edges) in a Shape object and attempts to close it by adding it a new face made from that edges sequence. You must still verify yourself that the result is a solid, though.

Usage

  1. Select a Shape object.
  2. Press the Close Holes entry in Arch → Utilities → Close Holes.

Skript

This tool can be used in macros and from the Python console by using the following function:

solid = closeHole(shape)
  • Closes a hole in a shape, which is a Part.Shape, and returns the new solid object.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)